### Function

# GObject CClosure marshal_VOID__ULONGv

#### Declaration

    void
    g_cclosure_marshal_VOID__ULONGv (
      GClosure* closure,
      GValue* return_value,
      GObjectTypeInstance* instance,
      va_list args,
      gpointer marshal_data,
      int n_params,
      GType* param_types
    )

#### Description

The `GVaClosureMarshal` equivalent to g_cclosure_marshal_VOID__ULONG().

This function is not directly available to language bindings.

#### Parameters

`closure`

  Type: `GClosure`

  The `GClosure` to which the marshaller belongs.

  The data is owned by the caller of the function.

`return_value`

  Type: `GValue`

  A `GValue` to store the return value. May be `NULL` if the callback of `closure` doesn’t return a value.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`instance`

  Type: `GTypeInstance`

  The instance on which the closure is invoked.

  The data is owned by the caller of the function.

`args`

  Type: `va_list`

  Va_list of arguments to be passed to the closure.

`marshal_data`

  Type: `gpointer`

  Additional data specified when registering the marshaller, see `g_closure_set_marshal()` and g_closure_set_meta_marshal().

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`n_params`

  Type: `int`

  The length of the `param_types` array.

`param_types`

  Type: An array of `GType`

  The `GType` of each argument from `args`.

  The length of the array is specified in the `n_params` argument.
  The data is owned by the caller of the function.